# This spec for backport to M30 is autogenerated. Do not edit it.
Summary: geomview -- interactive geometry viewing program

%define pre -rc7
%def_with xforms

Name: geomview
Version: 1.8.2
Release: alt0.M30.1

License: GPL
Group: Sciences/Mathematics
Url: http://www.geomview.org
Packager: Vlasenko Igor <viy@altlinux.ru>
Source: http://ftp1.sourceforge.net/geomview/%name-%version%pre.tar.bz2
Source1: %{name}_16.xpm
Source2: %{name}_32.xpm
Source3: %{name}_48.xpm
Source4: %{name}
#Patch0: http://ftp.debian.org/debian/pool/main/g/geomview/%{name}_%version-8.diff.bz2

# Automatically added by buildreq on Tue Aug 29 2006
BuildRequires: flex gcc-c++ libstdc++-devel libxforms-devel openmotif-devel tcl-devel tcsh tk-devel xorg-x11-devel xorg-x11-mesagl

#OldBuildRequires: xorg-x11-devel xorg-x11-libs flex gcc-c++ ghostscript-utils libstdc++-devel openmotif-devel 
# removed virtual libGLU-devel

%if_with xforms
BuildPreReq: libxforms-devel
%endif

%define DIRSETTINGS moduledir=%_libdir/%{name} geomdatadir=%_datadir/%{name}/data

BuildRequires: rpm-build-compat >= 0.4

%description
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 Geomview can display 3-D graphics output from Mathematica and Maple.
 In particular, geomview can display things in hyperbolic and
 spherical space as well as Euclidean space.
 .
 Geomview allows multiple independently controllable objects and
 cameras.  It provides interactive control for motion, appearances
 (including lighting, shading, and materials), picking on an
 object, edge or vertex level, snapshots in SGI image file or
 Renderman RIB format, and adding or deleting objects is provided
 through direct mouse manipulation, control panels, and keyboard
 shortcuts.  External programs can drive desired aspects of the
 viewer (such as continually loading changing geometry or
 controlling the motion of certain objects) while allowing
 interactive control of everything else.
 Homepage: http://www.geomview.org.


%prep
%setup -q -n %name-%version%pre
#%patch0 -p1

%build



autoreconf -fisv
CONFFLAGS=

%configure $CONFFLAGS

%make_build %DIRSETTINGS \
	ACLOCAL="`pwd`/missing aclocal" \
	AUTOCONF="`pwd`/missing autoconf" \
	AUTOMAKE="`pwd`/missing automake" \
	AUTOHEADER="`pwd`/missing autoheader"

%install
%__make install %DIRSETTINGS DESTDIR=$RPM_BUILD_ROOT 
%__install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%{name}.xpm
%__install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_niconsdir/%{name}.xpm
%__install -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%{name}.xpm
%__install -m644 -D %SOURCE4 $RPM_BUILD_ROOT%_menudir/%{name}

mv doc/geomview.html doc/html

# due to ImageMagic conflict
rm $RPM_BUILD_ROOT%_man1dir/animate*

%post
%update_menus
#install_info %{name}.info
%install_info %{name}
                                                                                
%preun
#uninstall_info %{name}.info
%uninstall_info %{name}

%postun
%clean_menus

%files
%doc doc/html
%doc AUTHORS NEWS README INSTALL.Geomview
%doc doc/OOGL.m.txt doc/motion.tex doc/gvplot.txt doc/oogltour doc/example*
%doc src/bin/animate/animate.1 src/lib/geomutil/bdy/bdy.3 src/lib/geomutil/geomutil.3
#exclude doc/%name.pdf
#find src -name *.[1-9] --- lots of old stuff
%_bindir/*
%_man1dir/*
%_man3dir/*
%_infodir/%{name}*
%_infodir/figs/*
%_libdir/%name
%_libdir/lib%name.so.*
%_datadir/%name/data
%_miconsdir/%{name}.xpm
%_niconsdir/%{name}.xpm
%_liconsdir/%{name}.xpm
%_menudir/%{name}
%exclude %_libdir/lib%name.so
%exclude %_libdir/lib%name.a

%changelog
* Sun Aug 27 2006 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt0.M30.1
- backport to ALT Linux M30 (by rpmbph script)

* Sun Aug 27 2006 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt1
- new version

* Mon Oct 10 2005 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt3
- xforms are now optional

* Thu Jul 28 2005 Igor Vlasenko <viy@altlinux.org> 1.8.1-alt2
- built with xforms

* Tue Mar 29 2005 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt1
- first build for AltLinux
